//attribute float Accessibility;
varying vec4  ShadowCoord1;
varying vec4  ShadowCoord2;
varying vec3 vertexPos;
varying float scale;

// Ambient and diffuse scale factors.
const float As = 1.0 / 1.5;
const float Ds = 1.0 / 2.5;
const float Accessibility = 0.4;
void main()
{
    vec4 ecPosition = gl_ModelViewMatrix * gl_Vertex;
    vec3 ecPosition3 = (vec3(ecPosition)) / ecPosition.w;
    vec3 VP = vec3(gl_LightSource[0].position) - ecPosition3;
    VP = normalize(VP);
    vec3 normal = normalize(gl_NormalMatrix * gl_Normal);
    float diffuse = max(0.0, dot(normal, VP));

    scale = min(1.0, Accessibility * As + diffuse * Ds);

    vec4 texCoord1 = gl_TextureMatrix[1] * gl_Vertex;
    vec4 texCoord2 = gl_TextureMatrix[2] * gl_Vertex;
    ShadowCoord1   = texCoord1 / texCoord1.w;
    ShadowCoord2   = texCoord2 / texCoord2.w;
    

   // gl_FrontColor  = vec4(scale* gl_Color.rgb, gl_Color.a);
    gl_TexCoord[0] = gl_MultiTexCoord0;
    vertexPos = gl_Vertex;

    gl_Position = ftransform();
}